var triggeractive = false;
var maincamera:GameObject;
var particlesystem:GameObject;
var orangelight:GameObject;
var whitelight:GameObject;
var jukebox:GameObject;
var noisebox:GameObject;
var triggerreturn:boolean=false;
var triggerreturn2:boolean=false;

function OnTriggerEnter (other : Collider) {
  if (other.name == "First Person Controller") {
    triggeractive=true;
    maincamera=GameObject.Find("Main Camera");
	particlesystem=GameObject.Find("Snowsystem");
	orangelight=GameObject.Find("Orange Light");
	whitelight=GameObject.Find("White Light");
	noisebox=GameObject.Find("Noisebox");
	jukebox=GameObject.Find("Jukebox");
  }
}

function FixedUpdate(){
  if(triggeractive){
	RenderSettings.ambientLight -= Color(2*Time.deltaTime,2*Time.deltaTime, 2*Time.deltaTime);
	if(RenderSettings.ambientLight.r<0){
	  RenderSettings.ambientLight=Color(0,0,0);
	}
	
	RenderSettings.fogColor -= Color(2*Time.deltaTime,2*Time.deltaTime, 2*Time.deltaTime);
	if(RenderSettings.fogColor.r<0){
	  RenderSettings.fogColor=Color(0,0,0);
	}
	
	maincamera.camera.backgroundColor-= Color(2*Time.deltaTime,2*Time.deltaTime, 2*Time.deltaTime);
	if(maincamera.camera.backgroundColor.r<0){
	  maincamera.camera.backgroundColor=Color(0,0,0);
	}
	
	orangelight.light.intensity+=Time.deltaTime*2;
	if(orangelight.light.intensity>0.5){
	  orangelight.light.intensity=0.5;
	}
	
    whitelight.light.intensity-=Time.deltaTime*5;
	if(whitelight.light.intensity<0){
	  whitelight.light.intensity=0;
	}
	
	jukebox.GetComponent(AudioSource).volume-=Time.deltaTime*1;
	if(jukebox.GetComponent(AudioSource).volume<0){
	  jukebox.GetComponent(AudioSource).volume=0;
	}
	
	noisebox.GetComponent(AudioSource).volume+=Time.deltaTime*1;
	if(noisebox.GetComponent(AudioSource).volume>0.66){
	  noisebox.GetComponent(AudioSource).volume=0.66;
	}
	
	particlesystem.particleEmitter.maxEmission=0;
	particlesystem.particleEmitter.minEmission=0;
	
	if(!triggerreturn && RenderSettings.fogColor.r<0.1 && RenderSettings.ambientLight.r<0.1){
	  if(gameObject.Find("First Person Controller").GetComponent("FPSWalker").stepmode2){
		triggerreturn=true;
		gameObject.Find("Main Camera").GetComponent("MouseLook").enabled = false;
	    gameObject.Find("First Person Controller").GetComponent("MouseLook").enabled = false;
	    gameObject.Find("First Person Controller").GetComponent("FPSWalker").enabled = false;
		gameObject.Find("midpoint").transform.position.y=-100;
		gameObject.Find("Gametext").GetComponent(TextController).setmessage(
	      "Maybe now we'll be able", 
	      "to last the winter", 360, 2, 5);
	  }
	}
	
	if(!triggerreturn2 && RenderSettings.fogColor.r<0.1 && RenderSettings.ambientLight.r<0.1){
	  if(gameObject.Find("First Person Controller").GetComponent("FPSWalker").finalstepmode){
		triggerreturn2=true;
		gameObject.Find("Main Camera").GetComponent("MouseLook").enabled = false;
	    gameObject.Find("First Person Controller").GetComponent("MouseLook").enabled = false;
	    gameObject.Find("First Person Controller").GetComponent("FPSWalker").enabled = false;
		gameObject.Find("Gametext").GetComponent(TextController).setmessage(
	      "This place", 
	      "is so cold.", 180, 3, 6);
	  }
	}
  }
}

function OnTriggerExit (other : Collider) {
  triggeractive=false;
}