var triggeractive = false;
var maincamera:GameObject;
var particlesystem:GameObject;
var orangelight:GameObject;
var whitelight:GameObject;
var lastline:boolean=false;

var jukebox:GameObject;
var noisebox:GameObject;

function OnTriggerEnter (other : Collider) {
  if (other.name == "First Person Controller") {
    triggeractive=true;
    maincamera=GameObject.Find("Main Camera");
	particlesystem=GameObject.Find("Snowsystem");
	orangelight=GameObject.Find("Orange Light");
	whitelight=GameObject.Find("White Light");
	noisebox=GameObject.Find("Noisebox");
	jukebox=GameObject.Find("Jukebox");
  }
}

function FixedUpdate(){
  if(triggeractive){
	RenderSettings.ambientLight += Color(2*Time.deltaTime,2*Time.deltaTime, 2*Time.deltaTime);
	if(RenderSettings.ambientLight.r>0.76){
	  RenderSettings.ambientLight=Color(0.76,0.76,0.76);
	}
	
	RenderSettings.fogColor += Color(2*Time.deltaTime,2*Time.deltaTime, 2*Time.deltaTime);
	if(RenderSettings.fogColor.r>1){
	  RenderSettings.fogColor=Color(1,1,1);
	}
	
	maincamera.camera.backgroundColor+= Color(2*Time.deltaTime,2*Time.deltaTime, 2*Time.deltaTime);
	if(maincamera.camera.backgroundColor.r>1){
	  maincamera.camera.backgroundColor=Color(1,1,1);
	}
	
	orangelight.light.intensity-=Time.deltaTime*2;
	if(orangelight.light.intensity<0){
	  orangelight.light.intensity=0;
	}
	
    whitelight.light.intensity+=Time.deltaTime*5;
	if(whitelight.light.intensity>8){
	  whitelight.light.intensity=8;
	}
	
	jukebox.GetComponent(AudioSource).volume+=Time.deltaTime*1;
	if(jukebox.GetComponent(AudioSource).volume>0.66){
	  jukebox.GetComponent(AudioSource).volume=0.66;
	}
	
	noisebox.GetComponent(AudioSource).volume-=Time.deltaTime*1;
	if(noisebox.GetComponent(AudioSource).volume<0){
	  noisebox.GetComponent(AudioSource).volume=0;
	}
	
	particlesystem.particleEmitter.minEmission=100;
	particlesystem.particleEmitter.maxEmission=100;
	
    if(!lastline && RenderSettings.fogColor.r>0.9 && RenderSettings.ambientLight.r>0.7){
	  if(gameObject.Find("First Person Controller").GetComponent("FPSWalker").finalstepmode){
		lastline=true;
		gameObject.Find("Main Camera").GetComponent("MouseLook").enabled = false;
	    gameObject.Find("First Person Controller").GetComponent("MouseLook").enabled = false;
	    gameObject.Find("First Person Controller").GetComponent("FPSWalker").enabled = false;
		gameObject.Find("Gametext").GetComponent(TextController).setmessage(
	      "Oh, it's you. You", 
	      "took your time.", 180, 0, 8);
	  }
	}
  }
}

function OnTriggerExit (other : Collider) {
  triggeractive=false;
}